// This is a JavaScript module that is loaded on demand. It can export any number of
// functions, and may import other JavaScript modules if required.

export async function getCurrentPosition() {
    
    
    
    try {
        let geolocData = await new Promise(function (resolve, reject) { //returning promise
            navigator.geolocation.getCurrentPosition(resolve, reject);
        }).catch(function (error) {
            throw  error;
        })
        console.log("Geolocation data:", geolocData);
        return geolocData.coords;
    }
    catch (e) {
        console.log("error data:", e);

        return {
            error: true,
            message: e.message
        }
    }
    
    
}
